Gets Bank Details
Returns a specific synchronized bank of a consumer
GET
/
connectors
/
consumers
/
{consumer_id}
/
pfm
/
banks
/
{bank_id}
Gets Bank Details
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/pfm/banks/{bank_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/pfm/banks/{bank_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/pfm/banks/{bank_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"BankAccount": {
"bic": "<string>",
"iban": "<string>",
"id": "e2c32b4b-de61-459b-accf-a75f76247946",
"last_transaction_executed_at": "<string>",
"name": "<string>"
},
"balance": 2567.83,
"last_update": "2019-02-14T15:28:41.167520+00:00",
"type": 1
}
],
"bank": {
"name": "<string>",
"country_code": "FR",
"id": "e2c32b4b-de61-459b-accf-a75f76247946"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the bank.
The id you used to create the given consumer
Was this page helpful?
Previous
Deletes Consumer Bank ConnectionRoute to delete the Consumer Bank Connection. It deletes all non-cashbacked transactions
from this bank, but keep the cashbacked transactions for audit purpose. Every
other information is deleted.
Next
⌘I
Gets Bank Details
